Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class ContextAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.ContextAdmin

    public class ContextAdmin

extends java.lang.Object

The `ContextAdmin` class - colleciton of text Indexing functions

Field Summary
`protected AdminManager` | `m_Main`

Constructor Summary
`ContextAdmin(AdminManager main)` The only constructor that is being used.

Method Summary
`protected void` | `addStopword(LibrarySession sess, ParameterTable params)` Section variant of addStopword
`protected void` | `addStopword(LibrarySession sess, java.lang.String media, java.lang.String stopword, boolean online)` Add a new stopword to the list of stopwords for an existing text index.
`protected void` | `createIndex(LibrarySession sess, ParameterTable params)` Section variant of createIndex
`protected void` | `createIndex(LibrarySession sess, java.lang.String media, java.lang.String storage, java.lang.String lexer, java.lang.String filter, java.lang.String wordlist, java.lang.String memory, java.lang.String stoplist, java.lang.String section_group)` Create a text index on an existing Media.
`protected void` | `dropIndex(LibrarySession sess, ParameterTable params)` Section variant of dropIndex
`protected void` | `dropIndex(LibrarySession sess, java.lang.String media)` Drop an existing text index.
`protected void` | `optimizeIndex(LibrarySession sess, ParameterTable params)` Section variant of optimizeIndex
`protected void` | `optimizeIndex(LibrarySession sess, java.lang.String media, boolean full, java.lang.String time, boolean online)` Optimize text index(es) on Media.
`protected void` | `rebuildIndex(LibrarySession sess, ParameterTable params)` Section variant of rebuildIndex
`protected void` | `rebuildIndex(LibrarySession sess, java.lang.String media, boolean online)` Rebuild index(es) on Media.
`protected void` | `replaceIndex(LibrarySession sess, ParameterTable params)` Section variant of replaceIndex
`protected void` | `replaceIndex(LibrarySession sess, java.lang.String media, boolean online, java.lang.String storage, java.lang.String lexer, java.lang.String filter, java.lang.String wordlist, java.lang.String memory, java.lang.String stoplist, java.lang.String section_group)` Replace the preference(s) of an existing text index.
`protected void` | `resumeIndexingOnIndex(LibrarySession sess, ParameterTable params)` Section variant of resumeIndexingOnIndex
`protected void` | `resumeIndexingOnIndex(LibrarySession sess, java.lang.String media, java.lang.String memorySize, boolean online)` Resuming indexing on index(es) on Media.
`protected void` | `syncIndex(LibrarySession sess, ParameterTable params)` Section variant of syncIndex
`protected void` | `syncIndex(LibrarySession sess, java.lang.String media, java.lang.String memorySize, boolean online)` Synchronize text index(es) on Media.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

Constructor Detail

### ContextAdmin

    public ContextAdmin(AdminManager main)

  The only constructor that is being used.

  Parameters:
    `main` - Reference to AdminManager which invokes this.

Method Detail

### createIndex

    protected void createIndex(LibrarySession sess,
                               ParameterTable params)
                        throws IfsException

  Description copied from class: `ContextAdmin`
  Section variant of createIndex

  Throws:
    `IfsException`

### createIndex

    protected void createIndex(LibrarySession sess,
                               java.lang.String media,
                               java.lang.String storage,
                               java.lang.String lexer,
                               java.lang.String filter,
                               java.lang.String wordlist,
                               java.lang.String memory,
                               java.lang.String stoplist,
                               java.lang.String section_group)
                        throws IfsException

  Description copied from class: `ContextAdmin`
  Create a text index on an existing Media. All existing content stored in the media will be indexed during this operation.

  Parameters:
    `sess` - The Session to use.
    `media` - The name of the Media
    `storage` - The interMedia Text storage preference
    `lexer` - The interMedia Text lexer preference
    `filter` - The interMedia Text filter preference
    `wordlist` - The interMedia Text wordlist preference
    `memory` - The interMedia Text memory preference
    `stoplist` - The interMedia Text stoplist preference
    `section_group` - The interMedia Text section group preference
  Throws:
    `IfsException`

### dropIndex

    protected void dropIndex(LibrarySession sess,
                             ParameterTable params)
                      throws IfsException

  Description copied from class: `ContextAdmin`
  Section variant of dropIndex

  Throws:
    `IfsException`

### dropIndex

    protected void dropIndex(LibrarySession sess,
                             java.lang.String media)
                      throws IfsException

  Description copied from class: `ContextAdmin`
  Drop an existing text index. The content in the media will no longer be content-searchable.

  Parameters:
    `sess` - The Session to use.
    `media` - The name of the Media.
  Throws:
    `IfsException`

### replaceIndex

    protected void replaceIndex(LibrarySession sess,
                                ParameterTable params)
                         throws IfsException

  Description copied from class: `ContextAdmin`
  Section variant of replaceIndex

  Throws:
    `IfsException`

### replaceIndex

    protected void replaceIndex(LibrarySession sess,
                                java.lang.String media,
                                boolean online,
                                java.lang.String storage,
                                java.lang.String lexer,
                                java.lang.String filter,
                                java.lang.String wordlist,
                                java.lang.String memory,
                                java.lang.String stoplist,
                                java.lang.String section_group)
                         throws IfsException

  Description copied from class: `ContextAdmin`
  Replace the preference(s) of an existing text index. All existing content stored in the media will be re-indexed during this operation.

  Parameters:
    `sess` - The Session to use.
    `media` - The name of the Media
    `online` - Does the index remain online during this operation.
    `storage` - The interMedia Text storage preference
    `lexer` - The interMedia Text lexer preference
    `filter` - The interMedia Text filter preference
    `wordlist` - The interMedia Text wordlist preference
    `memory` - The interMedia Text memory preference
    `stoplist` - The interMedia Text stoplist preference
    `section_group` - The interMedia Text section group preference
  Throws:
    `IfsException`

### addStopword

    protected void addStopword(LibrarySession sess,
                               ParameterTable params)
                        throws IfsException

  Description copied from class: `ContextAdmin`
  Section variant of addStopword

  Throws:
    `IfsException`

### addStopword

    protected void addStopword(LibrarySession sess,
                               java.lang.String media,
                               java.lang.String stopword,
                               boolean online)
                        throws IfsException

  Description copied from class: `ContextAdmin`
  Add a new stopword to the list of stopwords for an existing text index. All existing content stored in the media will be re-indexed during this operation.

  Parameters:
    `sess` - The Session to use.
    `media` - The name of the Media.
    `stopword` - The stopword to be added.
    `online` - Does the index remain online during this operation.
  Throws:
    `IfsException`

### syncIndex

    protected void syncIndex(LibrarySession sess,
                             ParameterTable params)
                      throws IfsException

  Description copied from class: `ContextAdmin`
  Section variant of syncIndex

  Throws:
    `IfsException`

### syncIndex

    protected void syncIndex(LibrarySession sess,
                             java.lang.String media,
                             java.lang.String memorySize,
                             boolean online)
                      throws IfsException

  Description copied from class: `ContextAdmin`
  Synchronize text index(es) on Media. This means that any queued requests are processed.

  Parameters:
    `sess` - The Session to use.
    `media` - The name of the Media
    `memorySize` - Amount of memory to use for indexing. Specified in the normal way i.e. a number suffixed by m or k.
    `online` - Does the index remain online during this operation.
  Throws:
    `IfsException`

### optimizeIndex

    protected void optimizeIndex(LibrarySession sess,
                                 ParameterTable params)
                          throws IfsException

  Description copied from class: `ContextAdmin`
  Section variant of optimizeIndex

  Throws:
    `IfsException`

### optimizeIndex

    protected void optimizeIndex(LibrarySession sess,
                                 java.lang.String media,
                                 boolean full,
                                 java.lang.String time,
                                 boolean online)
                          throws IfsException

  Description copied from class: `ContextAdmin`
  Optimize text index(es) on Media. This means that the indexes are compacted are processed.

  Parameters:
    `sess` - The Session to use.
    `media` - The name of the Media
    `full` - Specify whether old data is removed or not. Specifying true is more expensive
    `time` - The amount of time spent(in minutes) on optimizing or 'unlimited'.
    `online` - Does the index remain online during this operation.
  Throws:
    `IfsException`

### resumeIndexingOnIndex

    protected void resumeIndexingOnIndex(LibrarySession sess,
                                         ParameterTable params)
                                  throws IfsException

  Description copied from class: `ContextAdmin`
  Section variant of resumeIndexingOnIndex

  Throws:
    `IfsException`

### resumeIndexingOnIndex

    protected void resumeIndexingOnIndex(LibrarySession sess,
                                         java.lang.String media,
                                         java.lang.String memorySize,
                                         boolean online)
                                  throws IfsException

  Description copied from class: `ContextAdmin`
  Resuming indexing on index(es) on Media. are processed.

  Parameters:
    `sess` - The Session to use.
    `media` - The name of the Media
    `memorySize` - Amount of memory to use for indexing. Specified in the normal way i.e. a number suffixed by m or k.
    `online` - Does the index remain online during this operation.
  Throws:
    `IfsException`

### rebuildIndex

    protected void rebuildIndex(LibrarySession sess,
                                ParameterTable params)
                         throws IfsException

  Description copied from class: `ContextAdmin`
  Section variant of rebuildIndex

  Throws:
    `IfsException`

### rebuildIndex

    protected void rebuildIndex(LibrarySession sess,
                                java.lang.String media,
                                boolean online)
                         throws IfsException

  Description copied from class: `ContextAdmin`
  Rebuild index(es) on Media. are processed.

  Parameters:
    `sess` - The Session to use.
    `media` - The name of the Media
    `online` - Does the index remain online during this operation.
  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD